Problème avec les commandes /Spawn, /sethome et /home


#1
  • J’ai installé le plugin “CommandPoints Essentials”, mais une fois dans le serveur et que je tape “/spawn”, il est marqué que la commande n’est pas reconnu.

  • Pareillement pour les commandes “/sethome” et “/home”.


#2

Installez le plugin Essentials simplement et vous pourrez faire ces commandes.


#3

J’ai installé se plugin mais le problème de ses commandes y sont toujours


#4

Quels sont vos logs ?


#5

Vous voulez parler de ca?

[16:40:36] [Server thread/INFO]: Starting minecraft server version 1.8.3
[16:40:36] [Server thread/INFO]: Loading properties
[16:40:36] [Server thread/INFO]: Default game type: SURVIVAL
[16:40:36] [Server thread/INFO]: Generating keypair
[16:40:36] [Server thread/INFO]: Starting Minecraft server on *:28325
[16:40:36] [Server thread/INFO]: Using epoll channel type
[16:40:36] [Server thread/INFO]: Preparing level “Galaxy gaming”
[16:40:36] [Server thread/INFO]: Preparing start region for level 0
[16:40:37] [Server thread/INFO]: Done (0,937s)! For help, type “help” or “?”
[16:40:37] [Server thread/INFO]: Starting GS4 status listener
[16:40:37] [Server thread/INFO]: Starting remote control listener
[16:40:37] [Query Listener #1/INFO]: Query running on 0.0.0.0:28327
[16:40:37] [RCON Listener #2/INFO]: RCON running on 0.0.0.0:28326


#6

Lances tu ton serveur sous CraftBukkit.

Cordialement


#7

non en classic, et en en craftbukkit, c’est l’effet inverse je n’ai que ses 3 commandes.


#8

Pour fonctionner, Essentials a besoin que le serveur tourne sous CraftBukkit, quel est le problème pour les autres commandes ?

Cordialement


#9

-Quand je fais une commande comme “/help”; “/gamemode 0 ou 1” rien n’affiche dans le tchat et rien ne s’active comme le gamemode, time set ,…


#10

Étrange, quel est la liste de tes plugins ?

Cordialement


#11

J’ai réessayé sous “Craftbukkit 1.8.3” et plus aucune commande ne fonctionnent.

  • Essentials
  • Commandpermissions
  • Anticreeper
  • Autosaveworld
  • Bpermissions
  • Permissionspawn

#12

es que tu as bien essentials V2 (compatible avec la 1.8) ?


#13

-Quand je fais une recherche rapide je tombe sur celui la “BetterEssentials v2.0 CB 1.7.9-R0.2”


#14

Je rassemble tout sur un seul message

  1. Je suis sous Craftbukkit 1.8.3
  2. Le problème je ne peux rien cassé ni utilisé les commandes
    3)Les plugins installés
    1 AntiCreeper CB 1.7.9-R0.2, CB 1.7.2-R0.3, CB 1.6.4-R2.0
    2 AutoSaveWorld 1.8.1
    3 Essentials CB 1.7.2-R0.3
    4 bPermissions 1.8.1, 1.8
    5 CommandPermissions CB 1.5.2-R0.1
    6 PermissionSpawn CB 1.7.9-R0.2

Logs:
[23:08:05] [Server thread/INFO]: Starting minecraft server version 1.8.3
[23:08:05] [Server thread/INFO]: Loading properties
[23:08:05] [Server thread/INFO]: Default game type: SURVIVAL
[23:08:05] [Server thread/INFO]: Generating keypair
[23:08:05] [Server thread/INFO]: Starting Minecraft server on *:28325
[23:08:05] [Server thread/INFO]: Using epoll channel type
[23:08:05] [Server thread/INFO]: This server is running CraftBukkit version git-Bukkit-1e56438 (MC: 1.8.3) (Implementing API version 1.8.3-R0.1-SNAPSHOT)
[23:08:05] [Server thread/INFO]: [AntiCreeper] Loading AntiCreeper v4.17
[23:08:05] [Server thread/INFO]: [bPermissions] Loading bPermissions v2.10.9m
[23:08:05] [Server thread/INFO]: [CommandPermissions] Loading CommandPermissions v1.3
[23:08:05] [Server thread/INFO]: [AutoSaveWorld] Loading AutoSaveWorld v4.14.2
[23:08:05] [Server thread/INFO]: [PermissionSpawn] Loading PermissionSpawn v0.1
[23:08:05] [Server thread/INFO]: [Essentials] Loading Essentials v2.13.1
[23:08:05] [Server thread/INFO]: [EssentialsChat] Loading EssentialsChat v2.13.1
[23:08:05] [Server thread/INFO]: [EssentialsProtect] Loading EssentialsProtect v2.13.1
[23:08:05] [Server thread/INFO]: [EssentialsAntiBuild] Loading EssentialsAntiBuild v2.13.1
[23:08:05] [Server thread/INFO]: [EssentialsSpawn] Loading EssentialsSpawn v2.13.1
[23:08:05] [Server thread/INFO]: [AutoSaveWorld] Enabling AutoSaveWorld v4.14.2
[23:08:05] [Server thread/INFO]: Preparing level “Galaxy gaming”
[23:08:05] [Server thread/INFO]: Preparing start region for level 0 (Seed: -4580741500355647004)
[23:08:06] [Server thread/INFO]: Preparing start region for level 1 (Seed: -4580741500355647004)
[23:08:07] [Server thread/INFO]: Preparing start region for level 2 (Seed: -4580741500355647004)
[23:08:07] [Server thread/INFO]: [AntiCreeper] Enabling AntiCreeper v4.17
[23:08:07] [Server thread/INFO]: [AntiCreeper] brought to you by Filbert66
[23:08:07] [Server thread/INFO]: [bPermissions] Enabling bPermissions v2.10.9m
[23:08:07] [Server thread/WARN]: org.bukkit.configuration.InvalidConfigurationException: Top level is not a Map.
[23:08:07] [Server thread/WARN]: at org.bukkit.configuration.file.YamlConfiguration.loadFromString(YamlConfiguration.java:59)
[23:08:07] [Server thread/WARN]: at org.bukkit.configuration.file.FileConfiguration.load(FileConfiguration.java:226)
[23:08:07] [Server thread/WARN]: at org.bukkit.configuration.file.FileConfiguration.load(FileConfiguration.java:169)
[23:08:07] [Server thread/WARN]: at de.bananaco.bpermissions.imp.YamlConfiguration.load(YamlConfiguration.java:17)
[23:08:07] [Server thread/WARN]: at de.bananaco.bpermissions.imp.CustomNodes.doLoad(CustomNodes.java:54)
[23:08:07] [Server thread/WARN]: at de.bananaco.bpermissions.imp.CustomNodes.load(CustomNodes.java:26)
[23:08:07] [Server thread/WARN]: at de.bananaco.bpermissions.imp.Permissions.onEnable(Permissions.java:96)
[23:08:07] [Server thread/WARN]: at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321)
[23:08:07] [Server thread/WARN]: at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:327)
[23:08:07] [Server thread/WARN]: at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:404)
[23:08:07] [Server thread/WARN]: at org.bukkit.craftbukkit.v1_8_R2.CraftServer.loadPlugin(CraftServer.java:341)
[23:08:07] [Server thread/WARN]: at org.bukkit.craftbukkit.v1_8_R2.CraftServer.enablePlugins(CraftServer.java:313)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.MinecraftServer.r(MinecraftServer.java:412)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.MinecraftServer.k(MinecraftServer.java:378)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.MinecraftServer.a(MinecraftServer.java:333)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.DedicatedServer.init(DedicatedServer.java:236)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.MinecraftServer.run(MinecraftServer.java:505)
[23:08:07] [Server thread/WARN]: at java.lang.Thread.run(Thread.java:744)
[23:08:07] [Server thread/INFO]: [CommandPermissions] Enabling CommandPermissions v1.3
[23:08:07] [Server thread/INFO]: CommandPermissions 1.3 by GlowDragon enabled
[23:08:07] [Server thread/INFO]: [PermissionSpawn] Enabling PermissionSpawn v0.1
[23:08:07] [Server thread/INFO]: [PermissionSpawn] Plugin enabled.
[23:08:07] [Server thread/INFO]: [Essentials] Enabling Essentials v2.13.1
[23:08:07] [Server thread/INFO]: Le format de la version de Bukkit a été changé. La version n’a pas été vérifiée.
[23:08:07] [Server thread/INFO]: git-Bukkit-1e56438 (MC: 1.8.3)
[23:08:07] [Server thread/INFO]: 1.8.3-R0.1-SNAPSHOT
[23:08:07] [Server thread/INFO]: Création de la configuration à partir du modèle : /home/a612015030918311041/28325/plugins/Essentials/worth.yml
[23:08:07] [Server thread/ERROR]: java.lang.NoSuchMethodError: com.google.common.cache.CacheBuilder.maximumSize(I)Lcom/google/common/cache/CacheBuilder;
[23:08:07] [Server thread/ERROR]: Error occurred while enabling Essentials v2.13.1 (Is it up to date?)
java.lang.NoSuchMethodError: com.google.common.cache.CacheBuilder.maximumSize(I)Lcom/google/common/cache/CacheBuilder;
at com.earth2me.essentials.UserMap.(UserMap.java:27) ~[?:?]
at com.earth2me.essentials.Essentials.onEnable(Essentials.java:195) ~[?:?]
at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321) ~[1.8.3.jar:git-Bukkit-1e56438]
at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:327) [1.8.3.jar:git-Bukkit-1e56438]
at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:404) [1.8.3.jar:git-Bukkit-1e56438]
at org.bukkit.craftbukkit.v1_8_R2.CraftServer.loadPlugin(CraftServer.java:341) [1.8.3.jar:git-Bukkit-1e56438]
at org.bukkit.craftbukkit.v1_8_R2.CraftServer.enablePlugins(CraftServer.java:313) [1.8.3.jar:git-Bukkit-1e56438]
at net.minecraft.server.v1_8_R2.MinecraftServer.r(MinecraftServer.java:412) [1.8.3.jar:git-Bukkit-1e56438]
at net.minecraft.server.v1_8_R2.MinecraftServer.k(MinecraftServer.java:378) [1.8.3.jar:git-Bukkit-1e56438]
at net.minecraft.server.v1_8_R2.MinecraftServer.a(MinecraftServer.java:333) [1.8.3.jar:git-Bukkit-1e56438]
at net.minecraft.server.v1_8_R2.DedicatedServer.init(DedicatedServer.java:236) [1.8.3.jar:git-Bukkit-1e56438]
at net.minecraft.server.v1_8_R2.MinecraftServer.run(MinecraftServer.java:505) [1.8.3.jar:git-Bukkit-1e56438]
at java.lang.Thread.run(Thread.java:744) [?:1.7.0_45]
[23:08:07] [Server thread/INFO]: [EssentialsChat] Enabling EssentialsChat v2.13.1
[23:08:07] [Server thread/INFO]: [EssentialsProtect] Enabling EssentialsProtect v2.13.1
[23:08:07] [Server thread/ERROR]: Essentials not installed or failed to load. Essenials Protect is in emergency mode now.
[23:08:07] [Server thread/INFO]: [EssentialsAntiBuild] Enabling EssentialsAntiBuild v2.13.1
[23:08:07] [Server thread/INFO]: [EssentialsSpawn] Enabling EssentialsSpawn v2.13.1
[23:08:07] [Server thread/INFO]: Server permissions file permissions.yml is empty, ignoring it
[23:08:07] [Server thread/INFO]: Done (1,788s)! For help, type “help” or “?”
[23:08:07] [Server thread/INFO]: Starting GS4 status listener
[23:08:07] [Server thread/INFO]: Starting remote control listener
[23:08:07] [Query Listener #1/INFO]: Query running on 0.0.0.0:28327
[23:08:07] [RCON Listener #2/INFO]: RCON running on 0.0.0.0:28326
[23:08:07] [Server thread/WARN]: org.bukkit.configuration.InvalidConfigurationException: Top level is not a Map.
[23:08:07] [Server thread/WARN]: at org.bukkit.configuration.file.YamlConfiguration.loadFromString(YamlConfiguration.java:59)
[23:08:07] [Server thread/WARN]: at org.bukkit.configuration.file.FileConfiguration.load(FileConfiguration.java:226)
[23:08:07] [Server thread/WARN]: at org.bukkit.configuration.file.FileConfiguration.load(FileConfiguration.java:169)
[23:08:07] [Server thread/WARN]: at de.bananaco.bpermissions.imp.YamlConfiguration.load(YamlConfiguration.java:17)
[23:08:07] [Server thread/WARN]: at de.bananaco.bpermissions.imp.YamlWorld.loadUnsafe(YamlWorld.java:116)
[23:08:07] [Server thread/WARN]: at de.bananaco.bpermissions.imp.YamlWorld$1.run(YamlWorld.java:82)
[23:08:07] [Server thread/WARN]: at org.bukkit.craftbukkit.v1_8_R2.scheduler.CraftTask.run(CraftTask.java:53)
[23:08:07] [Server thread/WARN]: at org.bukkit.craftbukkit.v1_8_R2.scheduler.CraftScheduler.mainThreadHeartbeat(CraftScheduler.java:349)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.MinecraftServer.A(MinecraftServer.java:681)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.DedicatedServer.A(DedicatedServer.java:336)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.MinecraftServer.z(MinecraftServer.java:630)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.MinecraftServer.run(MinecraftServer.java:538)
[23:08:07] [Server thread/WARN]: at java.lang.Thread.run(Thread.java:744)
[23:08:07] [Server thread/WARN]: org.bukkit.configuration.InvalidConfigurationException: Top level is not a Map.
[23:08:07] [Server thread/WARN]: at org.bukkit.configuration.file.YamlConfiguration.loadFromString(YamlConfiguration.java:59)
[23:08:07] [Server thread/WARN]: at org.bukkit.configuration.file.FileConfiguration.load(FileConfiguration.java:226)
[23:08:07] [Server thread/WARN]: at org.bukkit.configuration.file.FileConfiguration.load(FileConfiguration.java:169)
[23:08:07] [Server thread/WARN]: at de.bananaco.bpermissions.imp.YamlConfiguration.load(YamlConfiguration.java:17)
[23:08:07] [Server thread/WARN]: at de.bananaco.bpermissions.imp.YamlWorld.loadUnsafe(YamlWorld.java:116)
[23:08:07] [Server thread/WARN]: at de.bananaco.bpermissions.imp.YamlWorld$1.run(YamlWorld.java:82)
[23:08:07] [Server thread/WARN]: at org.bukkit.craftbukkit.v1_8_R2.scheduler.CraftTask.run(CraftTask.java:53)
[23:08:07] [Server thread/WARN]: at org.bukkit.craftbukkit.v1_8_R2.scheduler.CraftScheduler.mainThreadHeartbeat(CraftScheduler.java:349)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.MinecraftServer.A(MinecraftServer.java:681)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.DedicatedServer.A(DedicatedServer.java:336)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.MinecraftServer.z(MinecraftServer.java:630)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.MinecraftServer.run(MinecraftServer.java:538)
[23:08:07] [Server thread/WARN]: at java.lang.Thread.run(Thread.java:744)
[23:08:07] [Server thread/WARN]: org.bukkit.configuration.InvalidConfigurationException: Top level is not a Map.
[23:08:07] [Server thread/WARN]: at org.bukkit.configuration.file.YamlConfiguration.loadFromString(YamlConfiguration.java:59)
[23:08:07] [Server thread/WARN]: at org.bukkit.configuration.file.FileConfiguration.load(FileConfiguration.java:226)
[23:08:07] [Server thread/WARN]: at org.bukkit.configuration.file.FileConfiguration.load(FileConfiguration.java:169)
[23:08:07] [Server thread/WARN]: at de.bananaco.bpermissions.imp.YamlConfiguration.load(YamlConfiguration.java:17)
[23:08:07] [Server thread/WARN]: at de.bananaco.bpermissions.imp.YamlWorld.loadUnsafe(YamlWorld.java:116)
[23:08:07] [Server thread/WARN]: at de.bananaco.bpermissions.imp.YamlWorld$1.run(YamlWorld.java:82)
[23:08:07] [Server thread/WARN]: at org.bukkit.craftbukkit.v1_8_R2.scheduler.CraftTask.run(CraftTask.java:53)
[23:08:07] [Server thread/WARN]: at org.bukkit.craftbukkit.v1_8_R2.scheduler.CraftScheduler.mainThreadHeartbeat(CraftScheduler.java:349)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.MinecraftServer.A(MinecraftServer.java:681)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.DedicatedServer.A(DedicatedServer.java:336)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.MinecraftServer.z(MinecraftServer.java:630)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.MinecraftServer.run(MinecraftServer.java:538)
[23:08:07] [Server thread/WARN]: at java.lang.Thread.run(Thread.java:744)
[23:08:07] [Server thread/WARN]: org.bukkit.configuration.InvalidConfigurationException: Top level is not a Map.
[23:08:07] [Server thread/WARN]: at org.bukkit.configuration.file.YamlConfiguration.loadFromString(YamlConfiguration.java:59)
[23:08:07] [Server thread/WARN]: at org.bukkit.configuration.file.FileConfiguration.load(FileConfiguration.java:226)
[23:08:07] [Server thread/WARN]: at org.bukkit.configuration.file.FileConfiguration.load(FileConfiguration.java:169)
[23:08:07] [Server thread/WARN]: at de.bananaco.bpermissions.imp.YamlConfiguration.load(YamlConfiguration.java:17)
[23:08:07] [Server thread/WARN]: at de.bananaco.bpermissions.imp.YamlWorld.loadUnsafe(YamlWorld.java:116)
[23:08:07] [Server thread/WARN]: at de.bananaco.bpermissions.imp.YamlWorld$1.run(YamlWorld.java:82)
[23:08:07] [Server thread/WARN]: at org.bukkit.craftbukkit.v1_8_R2.scheduler.CraftTask.run(CraftTask.java:53)
[23:08:07] [Server thread/WARN]: at org.bukkit.craftbukkit.v1_8_R2.scheduler.CraftScheduler.mainThreadHeartbeat(CraftScheduler.java:349)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.MinecraftServer.A(MinecraftServer.java:681)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.DedicatedServer.A(DedicatedServer.java:336)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.MinecraftServer.z(MinecraftServer.java:630)
[23:08:07] [Server thread/WARN]: at net.minecraft.server.v1_8_R2.MinecraftServer.run(MinecraftServer.java:538)
[23:08:07] [Server thread/WARN]: at java.lang.Thread.run(Thread.java:744)


#15

Pourquoi installes tu autant de commande pour les permissions ?
4 bPermissions 1.8.1, 1.8
5 CommandPermissions CB 1.5.2-R0.1
6 PermissionSpawn CB 1.7.9-R0.2

Un seul plugin suffit.

Cordialement


#16

j’ai le mème probleme que toi, lorsque j’essaye de le faire mais lorsque je lance une commande de plugin Essentials, sa me met, vous devez instaler plugin Essentials alors que je l’ai deja


#17

Bonjour,

Merci de ne pas déterrer des sujets vieux de plus de quatre ans…
Ouvrez-en un nouveau si vous avez besoin d’aide :slight_smile:.

Cordialement

Aurélien


#18